// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "dawnlibs.hpp"

namespace Dawn {
  enum class ShaderStageType {
    VERTEX,
    FRAGMENT,
    // COMPUTE
  };

  class IShaderStage {
    public:
      const enum ShaderStageType type;
      
      /**
       * Constructs a new Shader Stage.
       * 
       * @param type Type of shader stage.
       */
      IShaderStage(const enum ShaderStageType type);

      /**
       * Destroy the IShaderStage object
       */
      virtual ~IShaderStage();
  };
}