// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "time/ITimeManager.hpp"

namespace Dawn {
  class TimeManager : public ITimeManager {
    private:
      double_t lastUpdate = 0;
    public:
      /**
       * Constructs and initializes the TimeManager.
       */
      TimeManager();
      
      void update() override;
      int64_t getRealTime() override;
  };
}