// Copyright (c) 2022 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "PokerWinning.hpp"

namespace Dawn {
  class PokerPlayer;
  class PokerGame;
  struct PokerPot;

  struct PokerPotWinning {
    public:
      std::map<PokerPlayer*,struct PokerWinning> winnings;
      std::vector<PokerPlayer*> winners;
      std::vector<PokerPlayer*> participants;
      struct PokerPot *pot;
      int32_t chipsEach;
      int32_t chipsOverflow;

      void award();
  };
  
  struct PokerPot {
    public:
      int32_t chips;
      int32_t call;
      std::vector<PokerPlayer*> players;

      struct PokerPotWinning getWinners(PokerGame *game);
  };
}